﻿-- v1.0a

local DEBUG = false

local function debug(msg)
	if (DEBUG) then
		ChatFrame1:AddMessage(msg)
	end
end

local addonName, L = ...
local UnitName, SendChatMessage = UnitName, SendChatMessage

local bombCount = 1;
local bombMax = 2;
local markCount = 1;
local markMax = 2;

local frame = CreateFrame("Frame",  nil, UIParent)

local function getRaidId(tarName)
	members = GetNumGroupMembers();
	local i=1;
	for i=1, members do
		name, _, _, _, _, _, _, _, _, _, _ = GetRaidRosterInfo(i);		
		if tarName == name then
			return i
		end
	end
	return 0
end

function frame:OnEvent(ev, _, event, _, _, _, _, _, targetGUID, target, _, _, spellID, _, _, _, count)
	if ev == "COMBAT_LOG_EVENT_UNFILTERED" then
		local player = UnitName("player")
		-- Throw Slag Bombs
		if event == "SPELL_AURA_APPLIED" and spellID == 159179 then
			if target == player then		
				SendChatMessage(target..L["Bomb"]..L["Front"],"SAY")
			end
		-- Attach Slag Bombs
		elseif event == "SPELL_AURA_APPLIED" and spellID == 157000 then
			if target == player and bombCount == 1 then
				SendChatMessage(target..L["Bomb"]..L["Middle"],"SAY")
			elseif target == player and bombCount == 2 then
				SendChatMessage(target..L["Bomb"]..L["Back"],"SAY")
			end
			bombCount = bombCount + 1;
			if bombCount > bombMax then 
				bombCount = 1;
			end
		-- Marked for Death
		elseif event == "SPELL_AURA_APPLIED" and spellID == 156096 then
			if target == player and markCount == 1 then
				SendChatMessage(target..L["Mark"]..L["Left"],"SAY")
			elseif target == player and markCount == 2 then
				SendChatMessage(target..L["Mark"]..L["Right"],"SAY")
			elseif target == player and markCount == 3 then
				SendChatMessage(target..L["Mark"]..L["Middle"],"SAY")
			end
			markCount = markCount + 1;
			if markCount > markMax then 
				markCount = 1;
			end
		end
	end
end

frame:SetScript("OnEvent", frame.OnEvent);

local EventFrame = CreateFrame("Frame")
EventFrame:RegisterEvent("PLAYER_ENTERING_WORLD")
EventFrame:SetScript("OnEvent", function(self, event, ...)
	local name, type, difficulty, difficultyName, maxPlayers, playerDifficulty, isDynamicInstance, mapID, instanceGroupSize = GetInstanceInfo()
	-- skip LFR, 14=N 15=H 16=M 17=LFR
	if (mapID == 1205 and (difficulty == 14 or difficulty == 15 or difficulty == 16)) then
		frame:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED")
		debug("BH:ON")
		if difficulty == 16 then
			markMax = 3
		else
			markMax = 2
		end
		local bombCount = 1;
		local markCount = 1;
	else
		frame:UnregisterEvent("COMBAT_LOG_EVENT_UNFILTERED")
		debug("BH:OFF")
	end
end)

